Bug 245892 - misc/zoneinfo: update to 2020a
Summary: misc/zoneinfo: update to 2020a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-24 21:57 UTC by andrew
Modified: 2020-05-06 13:15 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (skreuzer)
andrew: maintainer-feedback?


Attachments
update to 2020a (1.80 KB, patch)
2020-04-24 21:57 UTC, andrew
andrew: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2020-04-24 21:57:24 UTC
Created attachment 213766 [details]
update to 2020a

2020a came out yesterday.
Comment 1 andrew 2020-04-24 22:01:49 UTC
Base system default for BACKWARD has changed. This patch doesn't touch that, but I submit for your additional consideration https://reviews.freebsd.org/D24565 which adds the additional option of allowing only post-2000 backwards-compatible zones, allowing the option of not introducing breakage on each zone rename but still excluding all the old garbage.
Comment 2 Philip Paeps freebsd_committer 2020-04-25 02:44:07 UTC
I wonder if it makes sense to align the default for BACKWARD with the base system?

See also the discussion on the tz mailing list in November last year.  It's worth noting that pretty much every other operating system (open source and otherwise) includes the backward zones.

I have no strong feelings about continuing to keep BACKWARD an option.  I might have kept it an option in base but I don't mind its outright removal.  I can't imagine having too many people objecting to the presence of backward compatibility links.  Shrug?
Comment 3 commit-hook freebsd_committer 2020-05-06 00:41:49 UTC
A commit references this bug:

Author: skreuzer
Date: Wed May  6 00:41:06 UTC 2020
New revision: 534110
URL: https://svnweb.freebsd.org/changeset/ports/534110

Log:
  Update to 2020a

  PR:		245892
  Submitted by:	andrew@tao11.riddles.org.uk

Changes:
  head/misc/zoneinfo/Makefile
  head/misc/zoneinfo/distinfo
  head/misc/zoneinfo/pkg-plist
Comment 4 Steven Kreuzer freebsd_committer 2020-05-06 13:15:04 UTC
committed. Thanks